#ifndef __DEV_DEVICEMANAGER_H
#define __DEV_DEVICEMANAGER_H

#include <cpp/Uncopyable.h>
#include <dev/RootDevice.h>
#include <dev/IntController.h>
#include <dev/Timer.h>

namespace OS {
namespace Dev {

// accessors to common device nodes
RootDevice *Root();
Timer *OSTimer();
IntController *PIC();

// should be called once at bootup
void SetRoot(RootDevice *);
void SetOSTimer(Timer *);
void SetPIC(IntController *);

}} // namespace OS::Dev

#endif

